<?php

use App\User;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Log;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /**
         * A user is created as the Admin with the below fields.
         * Super User or Admin. Is allowed for all permission and is not to exist in final product release but purely for testing.
         */
        $user = new \App\User();

        $user->name_first = "Admin";
        $user->name_last = "Admin";
        $user->email = "admin@admin.local";
        $user->setPasswordAttribute("1234");
        $user->phone = "12345678";

        //Gives Administrator role to the Admin
        $user->assignRole("Administrator");

        $user->save();

        /**
         * A user is created as the Admin with the below fields.
         * Super User or Admin. Is allowed for all permission and is not to exist in final product release but purely for testing.
         */
        $user = new \App\User();

        $user->name_first = "X";
        $user->name_last = "X";
        $user->email = "x@x.x";
        $user->setPasswordAttribute("1");
        $user->phone = "12345679";

        //Gives Administrator role to the Admin
        $user->assignRole("Administrator");

        $user->save();
    }
}
